<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

<h:head>
    <title>Start Page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <h:outputStylesheet library="css" name="main.css"/>
    <h:outputStylesheet library="css" name="jquery-ui.css"/>
    <h:outputScript library="js" name="jquery-3.6.0.min.js"/>
    <h:outputScript library="js" name="main.js"/>
</h:head>

<h:body>
    <h1>Activities List</h1>
    

    <h:dataTable value="#{activityControl.showActivityList()}"
                 var="activity"
                 styleClass="TablePublication"
                 headerClass="TableHeader"
                 rowClass="TableRowOdd,TableRowEven">
        <h:column>
            <f:facet name="header">ID</f:facet>
            #{activity.id}
        </h:column>
        <h:column>
            <f:facet name="header">Name</f:facet>
            #{activity.name}
        </h:column>
        <h:column>
            <f:facet name="header">Place</f:facet>
            #{activity.place}
        </h:column>
        <h:column>
            <f:facet name="header">Description</f:facet>
            #{activity.description}
        </h:column>
        <h:column>
            <f:facet name="header">View</f:facet>
            <a href="activity_details.xhtml?facets-redirect=true&amp;id_activity=#{activity.id}">View</a>
        </h:column>
        <h:column rendered="#{userControl.userConnected}">
            <f:facet name="header">Subscription</f:facet>
            <h:form>
                <h:commandButton value="#{userControl.subscriptionStr(activity.id)}"
                                 action="#{userControl.subscription(activity.id)}"/>
            </h:form>
        </h:column>
    </h:dataTable>


</h:body>

</html>
